Inactive [FUN] SpoutEssentials v3.9.2 [SPLASH SCREENS, GUI commands, Music, Capes, Sky, and more!] [1.2.3-R0]

Discussion in 'Inactive/Unsupported Plugins' started by skawke, Aug 7, 2011.

  1. Offline

    skawke

    [​IMG]
    @rediem's Banner :)
    Version: v3.9.2
    Go here for download, commands, permission nodes, and more!
    http://dev.bukkit.org/server-mods/spoutessentials/

    OnScreenCommands:
    (If you would like to get a small taste, join my server @ play.thetaylormc.com:27965, and press ~)


    Splash Screens:


    Uses Spout's various features for a whole ton of fun!
    • Notifies when people join
    • Notifies when people leave
    • Displays a notification when people join the server
    • Allows the playing of music, both to themselves AND serverwide
    • A simple 'poke' feature
    • and TONS more! (Full list @ bukkitdev page)
    SpoutEssentials includes optimizations for these plugins:
    Want to test out the features before using it? Join my server @ play.thetaylormc.com

    I work quite hard to make the plugin, and I try to put everyone's requested feature into SpoutEssentials. Donate to help me buy food a better server :(:(!

    [​IMG]

    Credits:
    · @rediem for the banner :D:D:D:D:D:D
    · @tips48 for helping me with the poking feature (basic messaging)
    · @SwearWord from #bukkitdev for helping me with config stuff
    · #spout for helping me with SpoutCraftEnabledEvent
    · @Ninja Grinch for pointing out bugs in 2.7.2
     
    GameFAQsRolo, Kiste, Hopium and 8 others like this.
  2. Offline

    Fizx

    Your bukkit dev is only up to 1.2.3. Please give us a link to something that works with MC 1.2.5@Denkfaehigkeit
     
  3. Offline

    Liger_XT5

    For those who haven't explored. Click the link in the First Post linking to the BukkitDev. Denkae last posted there on April 4th.
     
  4. Offline

    endermania

    I haven't downloaded it yet-what do capes have to do with this?
     
  5. Offline

    Eleyond

    I'm having some trouble with setting music for regions. I'll set a region, and I'll check the worldguard config to make sure it's saved, then I'll go to the spout essentials config and I'll put the region name, a message, and the url to the music I want to play and nothing happens. No message, no music.
     
  6. Offline

    Le_truent

  7. Offline

    TrinaryAtom

    (Due to being at work i cant confirm that's the same thing i have wrong. (image sharing centers are blocked))

    Capes worked until Spout updated. Now they look zoomed in, to the top left quarter of the cape image.
     
  8. Offline

    Le_truent

    So what can I do ?
    I hate cape 4x8p...
     
  9. Offline

    Zach Hinchy

    Entering any WorldGuard region in my server produces a popup message no matter what. Unless the message is specifically defined in the SpoutEssentials config.yml, I'll show up with an arrow icon, the heading "Welcome", and the subheading "Welcome to the server!". This is annoying my users and it wasn't a problem before we updated to 1.2.
     
  10. Offline

    xbaxdark

    When we ran spout essentials on our server it would periodically crash due to "too many files open" error, which seemed to happen more frequently when coupled with us playing lots of music tracks.
    We really, really want to utilize spout essentials, especially region based music would be boners all around but obviously we can't run something that's causing errors/crashes.
    In short we patiently await an updated 1.2.5 version of spout essentials, please oblidge.

    Thank you for your time.
    Dark
     
  11. Offline

    Liger_XT5

    I know a lot of people like this plugin and it's features, but it hasn't been updated to the newest CB and Spout builds.
    Even the title makes it a warning to all users: [1.2.3-R0] We are all using MC 1.2.5.
     
  12. Offline

    bank14241

    why i cant use spoutessentials?
    i type
    /help spoutessentials
    it say
    /spe
    when i type
    /spe
    nothings happen
     
  13. Offline

    NoMansLand

    if we install this on our server do all Clients need Spout?
     
  14. Offline

    iTouchTheSky

    All I get when trying to run that plugin is : "[SEVERE] Could not load 'plugins\spoutEssentials.jar' in folder 'plugins'" ...

    Nothing else.. Could someone give me a hand on this ?
     
  15. Offline

    Tomass

    Hello guys!
    I have a problem, and i dont known what whis error mean, and how to fix it.


    I have SpoutEssentials plugin and Spout plugin, when i start my server i gate this error in console:

    Code:
    08:14:46 [INFO] [SpoutEssentials] Enabling SpoutEssentials v3.9.3
    08:14:46 [SEVERE] java.lang.IllegalArgumentException: Cannot set to an empty path
    08:14:46 [SEVERE]      at org.apache.commons.lang.Validate.notEmpty(Validate.java:363)
    08:14:46 [SEVERE]      at org.bukkit.configuration.MemorySection.set(MemorySection.java:156)
    08:14:46 [SEVERE]      at org.bukkit.configuration.MemorySection.set(MemorySection.java:186)
    08:14:46 [SEVERE]      at me.skawke.spoutessentials.config.SpoutEssentialsGUI.LoadConfig(SpoutEssentialsGUI.java:37)
    08:14:46 [SEVERE]      at me.skawke.spoutessentials.config.SpoutEssentialsGUI.Initialize(SpoutEssentialsGUI.java:28)
    08:14:46 [SEVERE]      at me.skawke.spoutessentials.SpoutEssentials.onEnable(SpoutEssentials.java:52)
    08:14:46 [SEVERE]      at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:215)
    08:14:46 [SEVERE]      at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:336)
    08:14:46 [SEVERE]      at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:381)
    08:14:46 [SEVERE]      at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:256)
    08:14:46 [SEVERE]      at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:238)
    08:14:46 [SEVERE]      at net.minecraft.server.MinecraftServer.t(MinecraftServer.java:372)
    08:14:46 [SEVERE]      at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:359)
    08:14:46 [SEVERE]      at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:188)
    08:14:46 [SEVERE]      at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:423)
    08:14:46 [SEVERE]      at net.minecraft.server.ThreadServerApplication.run(SourceFile:492)
    

    Thanks all who is help me :)
    Sorry for bad Eanglish!...
     
  16. Offline

    xbaxdark


    I was using spout essentials (and loving it) until it started to crash the server randomly a couple times a day.
    Patiently waiting for an update!!

    please update asap, I know mc updates been a pain lately but spout essentials are so....essential!

    Thanks in advance
    dark
     
  17. Offline

    xXsnailgirlXx

    why cant I join the server :mad: [tnt]+[cake]+server=:D

    [skeleton]
    [spider] Super mob
    [creeper]
    [pig]

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jul 14, 2016
  18. Offline

    StrikerShane

    Greetings, a problem has arisen between two plugins we have on our server, SpoutEssentials and RPG Essentials. When setting up capes we've came across a problem that may be caused by an incompatability issue between the two. So we were wondering if there was actually any known compatabiltiy issues between the two plugins.

    Thanks.
     
  19. Offline

    Darcion

    lol, both plugins having many identically features... i would recommended to throw spout essentials aboard because the inactivity.
     
  20. Offline

    Merlimont

    Hello!
    I get this error when I run craftbukkit.

    09:58:54 [SEVERE] java.lang.IllegalArgumentException: Cannot set to an empty pat
    h
    09:58:54 [SEVERE] at org.apache.commons.lang.Validate.notEmpty(Validate.ja
    va:363)
    09:58:54 [SEVERE] at org.bukkit.configuration.MemorySection.set(MemorySect
    ion.java:156)
    09:58:54 [SEVERE] at org.bukkit.configuration.MemorySection.set(MemorySect
    ion.java:186)
    09:58:54 [SEVERE] at me.skawke.spoutessentials.config.SpoutEssentialsGUI.L
    oadConfig(SpoutEssentialsGUI.java:37)
    09:58:54 [SEVERE] at me.skawke.spoutessentials.config.SpoutEssentialsGUI.I
    nitialize(SpoutEssentialsGUI.java:28)
    09:58:54 [SEVERE] at me.skawke.spoutessentials.SpoutEssentials.onEnable(Sp
    outEssentials.java:52)
    09:58:54 [SEVERE] at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlug
    in.java:215)
    09:58:54 [SEVERE] at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(
    JavaPluginLoader.java:337)
    09:58:54 [SEVERE] at org.bukkit.plugin.SimplePluginManager.enablePlugin(Si
    mplePluginManager.java:381)
    09:58:54 [SEVERE] at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftSe
    rver.java:256)
    09:58:54 [SEVERE] at org.bukkit.craftbukkit.CraftServer.enablePlugins(Craf
    tServer.java:238)
    09:58:54 [SEVERE] at net.minecraft.server.MinecraftServer.t(MinecraftServe
    r.java:381)
    09:58:54 [SEVERE] at net.minecraft.server.MinecraftServer.a(MinecraftServe
    r.java:368)
    09:58:54 [SEVERE] at net.minecraft.server.MinecraftServer.init(MinecraftSe
    rver.java:197)
    09:58:54 [SEVERE] at net.minecraft.server.MinecraftServer.run(MinecraftSer
    ver.java:432)
    09:58:54 [SEVERE] at net.minecraft.server.ThreadServerApplication.run(Sour
    ceFile:492)
    09:58:54 [WARNING] An error has occurred in loading the config, please go to the
    Bukkit page and tell what you see below, thank you!

    I don't know if this is important, I didn't try anything for the moment. If something is wrong, I'll tell you. Thanks. :)
     
  21. Offline

    kept

    How soon could be 1.3.1 version released? Or how long more to wait.. :)
     

Share This Page